#
# spec file for package conglomerate (Version 0.7.11)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  audiofile docbook_4 expat gnome-print gnome2-devel-packages gtkdoc intltool libgnomeprint libgnomeprintui libgtop2-devel libxslt libxslt-devel perl-XML-Parser scrollkeeper sgml-skel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs alsa alsa-devel atk atk-devel audiofile autoconf automake binutils bonobo-activation bonobo-activation-devel cracklib docbook_4 esound esound-devel expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gconf2 gconf2-devel gdbm gettext glib2 glib2-devel gnome-filesystem gnome-print gnome-vfs2 gnome-vfs2-devel gtk2 gtk2-devel gtkdoc intltool libart_lgpl libart_lgpl-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomeui libgnomeui-devel libgtop2-devel libjpeg libtool libwnck libwnck-devel libxml2 libxml2-devel libxslt libxslt-devel linc linc-devel openssl-devel orbit2 orbit2-devel pango pango-devel perl perl-XML-Parser pkgconfig popt-devel rpm scrollkeeper sgml-skel update-desktop-files

Name:         conglomerate
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
Summary:      XML Editor for GNOME
Version:      0.7.11
Release:      16
Group:        Productivity/Publishing/XML
#Requires: 
#Provides: 
License:      GPL
URL:          http://www.conglomerate.org/
Source0:      http://ftp1.sourceforge.net/sourceforge/conglomerate/%{name}-%{version}.tar.gz
# Patch:        %{name}-0.7.5.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
PreReq:       scrollkeeper

%description
Conglomerate is a user-friendly XML editor for DocBook and other
document types. It aims to hide the complexity and jargon of XML behind
a friendly GUI.



Authors:
--------
    David Malcolm <david@davemalcolm.demon.co.uk>

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -q
# %patch

%build
#autoreconf -I /opt/gnome/share/aclocal --install --force
CFLAGS="$RPM_OPT_FLAGS -L%_libdir -g" \
  ./configure \
  --prefix=%prefix \
  --libdir=%prefix/%_lib \
  --sysconfdir=%sysconfdir \
  --datadir=%prefix/share \
  --localstatedir=/var/%_lib \
  --enable-printing \
  --with-kde-datadir=/opt/kde
export LIBRARY_PATH=/opt/gnome/%_lib
make

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
# FIXME dummy:
# echo '<br>' >doc/reference/html/index.sgml
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{prefix}/share/pixmaps/ChangeLog
%suse_update_desktop_file %name Utility XMLUtility

%postun
if test $1 = 0 ; then
    scrollkeeper-update >/dev/null 2>&1
fi

%post
if test $1 = 1 ; then
    scrollkeeper-update >/dev/null 2>&1
fi

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
# %doc
%{prefix}/bin/*
%{prefix}/share/applications/*.desktop
%{prefix}/share/%{name}
%{prefix}/share/locale/*/LC_MESSAGES/*.mo
%{prefix}/share/pixmaps/*
# %{prefix}/share/gtk-doc/html/conglomerate
%{prefix}/share/omf/conglomerate
%{prefix}/share/gnome/help/conglomerate
%{prefix}/share/application-registry/*
%{prefix}/share/mime-info/*
%config %sysconfdir/gconf/schemas/conglomerate.schemas
# spec file ends here

%changelog -n conglomerate
* Mon Feb 16 2004 - ke@suse.de
- Call scrollkeeper-update as needed.
- PreReq: scrollkeeper.
* Thu Feb 05 2004 - ke@suse.de
- Update to version 0.7.11.
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Thu Jan 08 2004 - ke@suse.de
- Update to version 0.7.10.
* Wed Dec 17 2003 - ke@suse.de
- Update to version 0.7.7.
- Adjust file list.
* Mon Nov 03 2003 - ke@suse.de
- Update to version 0.7.6.
* Fri Oct 17 2003 - schwab@suse.de
- Fix a whole pile of missing declarations.
* Wed Oct 15 2003 - ke@suse.de
- Update to version 0.7.5.
* Tue Aug 12 2003 - adrian@suse.de
- add Categories
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Fri Jun 27 2003 - ke@suse.de
- New package: version 0.5.4.
